首页 > 系统服务 > 详细

YOLO 训练环境搭建(Ubuntu18.04+Cuda9.0+Cudnn7.1)

时间:2019-02-15 23:55:22      阅读:280      评论:0      收藏:0      [点我收藏+]

标签:如果   setting   编程语言   其他   点击其他   font   系统环境变量   img   href   

1、先查看是否安装有以下组件,若有先考虑彻底删除再安装(安装严格按照下面顺序进行)

查看nvidia 版本

nvidia-smi

查看cuda 版本

cat /usr/local/cuda/version.txt

查看cudnn 版本

cat /usr/local/cuda/include/cudnn.h | grep CUDNN_MAJOR -A 2

 

2、nvidia 驱动,cuda,cudnn对应关系

 nvidia与cuda要求的版本对应关系:

https://docs.nvidia.com/cuda/cuda-toolkit-release-notes/index.html

技术分享图片

cuda与cudnn需要满足关系:

https://developer.nvidia.com/rdp/cudnn-archive

 

3、安装nvidia驱动

首先去官网上查看适合你的GPU的驱动

https://www.geforce.cn/drivers

注意 笔记本电脑 要选择Notebooks版本的驱动

例如 y7000笔记本 gtx1060适合的驱动

技术分享图片

 

推荐安装方法参考下面链接:
https://www.cnblogs.com/luofeel/p/8654964.html(最推荐的但复杂)

 

最简单安装但不推荐使用:

UBUNTU右上角》系统设置》软件与更新》附加驱动选择》重启。

不推荐理由:失败概率有些高,而且容易造成循环登录的问题。

 

nvidia安装完毕后,终端输入

nvidia-smi

法1:UBUNTU右上角》系统设置》软件与更新》附加驱动选择》重启。这个方法最简单,但不推荐。不推荐理由:失败概率有些高,而且容易造成循环登录的问题。技术分享图片

另外也可以通过:

nvidia-settings

查看自己机器上详细的GPU信息,本人机器的信息如下:

技术分享图片

 

4、降级gcc

由于Cuda-9.0只支持gcc-6.0以下的版本,而Ubuntu18.04系统默认安装的gcc-7.3版本(可以在终端输入gcc --version查看系统安装的gcc版本),所以首先需要降级为gcc-5版本。

  • 首先需要安装gcc-5

在终端输入:

sudo apt install gcc-5
sudo apt install g++-5
  • 链接至gcc-5版本

在终端输入:

cd /usr/bin
sudo mv gcc gcc.bak #备份
sudo ln -s gcc-5 gcc
sudo mv g++ g++.bak
sudo ln -s g++-5 g++

通过gcc --version查看系统的gcc版本是否已更改

 

5、安装对应版本的Cuda

cuda是nvidia的编程语言平台,想使用GPU就必须要使用cuda

https://developer.nvidia.com/cuda-toolkit-archive

保守起见,选择cuda9.0进行安装,也可以选择更高版本的

技术分享图片

注意 9.0 是没有 18.04可选的,但我们选择16.04依然可以安装,正常使用(还没遇到过不正常状态)依次下载下面五个installers

技术分享图片

基础安装包

sudo sh cuda_9.0.176.384.81_linux.run --override

在安装过程中 按Q跳过阅读more,会出现几个是否选装和安装位置的选项

其中第二个不需要安装NVIDIA驱动(系统已安装),其余都选择yes或者敲回车。

四个更新包

sudo sh cuda_9.0.176.2_linux.run
sudo sh cuda_9.0.176.3_linux.run
sudo sh cuda_9.0.176.4_linux.run

 

修改环境变量

安装完Cuda-9.0后,还需要将其添加至系统环境变量。

sudo gedit  ~/.bashrc

打开“profile”文件,在末尾处添加(注意不要有空格,不然会报错):

export PATH=/usr/local/cuda/bin:$PATH
export LD_LIBRARY_PATH=/usr/local/cuda/lib64$:LD_LIBRARY_PATH
#注意这里不要写cuda几点几,因为我们要实现多版本切换

或者你不需要切换版本

export  PATH="$PATH:/usr/local/cuda-9.0/bin"
export  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/local/cuda-9.0/lib64"

保存文本后,更新系统环境变量

source ~/.bashrc

至此,可以通过在终端输入nvcc -V,检查Cuda-9.0是否安装成功。

也可以测试cuda的Samples

cd /usr/local/cuda-9.0/samples/1_Utilities/deviceQuery
sudo make
./deviceQuery

注意路径要根据你自己的进行修改

如果显示的是一些关于GPU的信息,则说明安装成功了。

 

6、安装对应版本的cudnn

首先去官网下载你需要的cudnn,下载的时候需要注册账号。选择对应你cuda版本的cudnn下载。
https://developer.nvidia.com/rdp/cudnn-archive

技术分享图片

安装完Cuda之后,继续安装与Cuda-9.0版本对应的Cudnn

下载这三个deb安装包 (如果你是cuda其他版本就点击其他版本的类似的)

sudo dpkg -i Runtime Library.deb
sudo dpkg -i Developer Library.deb
sudo dpkg -i Code Sample and User Guide.deb
sudo apt-get update

sudo dpkg -i  "xxxxxxxxxxxxx "是你需要填的下载的deb的实际命名名称

安装完之后可以检查是否安装成功,在终端输入下面代码,如果安装成功会显示Test Passed字样。

  cd /usr/src/cudnn_samples_v7/mnistCUDNN
  sudo make
  ./mnistCUDNN

 

7.卸载Cuda和Cudnn

卸载Cuda-9.0

终端输入

cd /usr/local/cuda-9.0/bin
sudo ./uninstall_cuda_9.0.pl

卸载Cudnn

终端输入

sudo apt remove cudnn*

 

8.安装tensorflow-gpu

直接通过pip安装Tensorflow-gpu

sudo pip3 install tensorflow-gpu

 

本文参考整理自

https://blog.csdn.net/hancoder/article/details/86634415

 

YOLO 训练环境搭建(Ubuntu18.04+Cuda9.0+Cudnn7.1)

标签:如果   setting   编程语言   其他   点击其他   font   系统环境变量   img   href   

原文:https://www.cnblogs.com/clemente/p/10386479.html

(0)
(0)
   
举报
评论 一句话评论(0
登录后才能评论!
© 2014 bubuko.com 版权所有 鲁ICP备09046678号-4
打开技术之扣,分享程序人生!
             

鲁公网安备 37021202000002号